Qt 5.11 | Qt 3D | C++ Classes | QSpriteSheet

Qt 5.11.3 Reference Documentation

# QSpriteSheet Class

(Qt3DExtras::QSpriteSheet)

Inherits: | Qt3DExtras::QAbstractSpriteSheet

- List of all members, including inherited members

## Properties

- > : QVector<QSpriteSheetItem* const

- 3 properties inherited from Qt3DExtras::QAbstractSpriteSheet
- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QSpriteSheet(Qt3DCore::QNode *parent = nullptr)
virtual | ~QSpriteSheet()
Qt3DExtras::QSpriteSheetItem * | addSprite(int x, int y, int width, int height)
void | addSprite(Qt3DExtras::QSpriteSheetItem *sprite)
void | removeSprite(Qt3DExtras::QSpriteSheetItem *sprite)
QVector<Qt3DExtras::QSpriteSheetItem *> | sprites() const

- 3 public functions inherited from Qt3DExtras::QAbstractSpriteSheet
- 13 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setSprites(QVector<Qt3DExtras::QSpriteSheetItem *> sprites)

- 2 public slots inherited from Qt3DExtras::QAbstractSpriteSheet
- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | spritesChanged(QVector<Qt3DExtras::QSpriteSheetItem *> sprites)

- 3 signals inherited from Qt3DExtras::QAbstractSpriteSheet
- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Property Documentation

### > : QVector<QSpriteSheetItem* const

## Member Function Documentation

### QSpriteSheet::QSpriteSheet(Qt3DCore::QNode *parent = nullptr)

Constructs a new QSpriteSheet instance with parent object parent.

### `[virtual]` QSpriteSheet::~QSpriteSheet()

Destroys the instance of QSpriteSheet. The destructor is virtual.

### Qt3DExtras::QSpriteSheetItem *QSpriteSheet::addSprite(int x, int y, int width, int height)

### void QSpriteSheet::addSprite(Qt3DExtras::QSpriteSheetItem *sprite)

### void QSpriteSheet::removeSprite(Qt3DExtras::QSpriteSheetItem *sprite)

### `[slot]` void QSpriteSheet::setSprites(QVector<Qt3DExtras::QSpriteSheetItem *> sprites)

See also sprites().

### QVector<Qt3DExtras::QSpriteSheetItem *> QSpriteSheet::sprites() const

See also setSprites().

### `[signal]` void QSpriteSheet::spritesChanged(QVector<Qt3DExtras::QSpriteSheetItem *> sprites)